/*

------------------------------------------------------------------------------

A license is hereby granted to reproduce this software source code and
to create executable versions from this source code for personal,
non-commercial use.  The copyright notice included with the software
must be maintained in all copies produced.

THIS PROGRAM IS PROVIDED "AS IS". THE AUTHOR PROVIDES NO WARRANTIES
WHATSOEVER, EXPRESSED OR IMPLIED, INCLUDING WARRANTIES OF
MERCHANTABILITY, TITLE, OR FITNESS FOR ANY PARTICULAR PURPOSE.  THE
AUTHOR DOES NOT WARRANT THAT USE OF THIS PROGRAM DOES NOT INFRINGE THE
INTELLECTUAL PROPERTY RIGHTS OF ANY THIRD PARTY IN ANY COUNTRY.

Copyright (c) 1995, John Conover, All Rights Reserved.

Comments and/or bug reports should be addressed to:

    john@johncon.com (John Conover)

------------------------------------------------------------------------------

message.h, general include file for message.c

$Revision: 1.0 $
$Date: 1995/04/22 05:14:50 $
$Id: message.h,v 1.0 1995/04/22 05:14:50 john Exp $
$Log: message.h,v $
 * Revision 1.0  1995/04/22  05:14:50  john
 * Initial revision
 *

*/

#ifndef _MESSAGE_H /* if not defined then message.h has not yet been included */

#define _MESSAGE_H

#define MESSAGE_H_ID "$Id: message.h,v 1.0 1995/04/22 05:14:50 john Exp $" /* module version */

#define NO_ERROR 0 /* no error */
#define URISG_ERR 50 /* error installing signal handler */
#define URIGN_ERR 51 /* error disabling interrupts */
#define URRSG_ERR 52 /* error restoring default interrupts */
#define URMEM_ERR 53 /* error allocating memory */
#define URPAR_ERR 54 /* error in grouping operators */
#define URSYN_ERR 55 /* error in syntax */
#define URFIL_ERR 56 /* error opening file, requires ancillary filename argument */
#define URLCK_ERR 57 /* error locking file, requires ancillary filename argument */
#define URRED_ERR 58 /* error reading from file, requires ancillary filename argument */
#define URUCK_ERR 59 /* error unlocking file, requires ancillary filename argument */
#define URCLS_ERR 60 /* error closing file, requires ancillary filename argument */
#define URSTA_ERR 61 /* error stating file, requires ancillary filename argument */
#define URODR_ERR 62 /* error opening directory, requires ancillary filename argument */
#define URCDR_ERR 63 /* error closing directory, requires ancillary filename argument */
#define URARG_ERR 64 /* usage: %s [-v] pattern filename(s), requires ancillary program name argument */

extern int max_interrupts; /* maximum value of system interrupts */

#ifdef __STDC__

extern void message (int fil, char *ancillary);

#else

extern void message ();

#endif

#endif
